#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <unistd.h>
// std::system includes
#include <iostream>
#include "cycles.h"

unsigned long proc_hz( void ) {
   time_t t1, t2;
   uint64_t cf, cs, cr;
   time( &t1 );
   while( t1 == time( &t2 ) ) cf  = clock_cycles();
   while( t2 == time( &t1 ) ) cs  = clock_cycles();
   return (unsigned long)( cs - cf - clock_calibrate( 10000 ) );
}

//--------------------------------------------------------------------------------------

int main( int argc, char **argv, char **envp ) { 
    std::cout << "wait ..." << std::endl;
    std::cout << "CPU speed: " << proc_hz() << " Hz" << std::endl;
}

